RubyGems Navigation menu

reverserequire 0.1.0

reverse_require requires specific files from the gems which depend on a certain RubyGem and contain the specified path. Using reverse_require one can allow others to easily extend the functionality of a RubyGem. Simply add reverse_require into the code of your RubyGem: reverse_require 'my_gem', 'some/path' Then other gems which depend upon +my_gem+ merely have to provide <tt>some/path</tt> within their <tt>lib/</tt> directory, and reverse_require will load them all at run-time. This ability makes designing plug-in systems for a RubyGem trivial.

Versions:

  1. 0.1.0 - July 25, 2009 (6 KB)
  2. 0.0.9 - July 25, 2009 (5.5 KB)

Runtime Dependencies (1):

  • hoe >= 1.5.1
  • Owners:

    Authors:

    • Postmodern Modulus III

    SHA 256 checksum:

    20976e2a685b699e9c7e570f1c486ebba73d411116e007fec5b64e63074183ea

    Total downloads 5,639

    For this version 3,218

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    Licenses:

    N/A

    Required Ruby Version: None

    Links: